package com.google.ar.core.examples.java.common.framework.RWT;

import android.content.Context;
import android.opengl.GLSurfaceView;

public class RWTSurfaceView extends GLSurfaceView {
//	protected RWTRenderer renderer;
  	protected Renderer renderer;

	public RWTSurfaceView(Context context) {
		this(context, true);
	}
	
	public RWTSurfaceView(Context context, boolean bInitRenderer) {
		super(context);
		if (bInitRenderer) {

//			renderer = new RWTRenderer();
			if (context instanceof Renderer) {
				renderer = (Renderer) context;
			}

//			setEGLConfigChooser(8, 8, 8, 8, 16, 0);
//			this.setRenderer(renderer);
		}
	}

//	public void attachCamera(Camera3D camera) {
//		renderer.attachCamera(camera);
//	}

}
